
Redmine - Feature #34924

Add Tamil language support

2021-03-18 11:46 - Dhanasingh Krishnapandian

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Translations Estimated time: 0.00 hour

Target version: 5.1.0   

Resolution: Fixed   

Description

Tamil India language files

Related issues:

Precedes Redmine - Patch #39751: Additional translation for Tamil language Closed

Associated revisions

Revision 22357 - 2023-10-21 02:18 - Go MAEDA

Add Tamil language support (#34924).

Patch by Dhanasingh Krishnapandian.

Revision 22378 - 2023-10-25 10:05 - Go MAEDA

Remove unused keys from the Tamil translation file (#34924).

History

#1 - 2022-01-16 07:24 - Go MAEDA

- Target version set to Candidate for next major release

Thank you for translating to Tamil.

According to https://www.ethnologue.com/guides/ethnologue200, Tamil is the 17th most spoken language in the world. I think there is no reason not

to merge Dhanasingh Krishnapandian's effort to the core.

#2 - 2022-06-24 09:55 - Go MAEDA

- Target version changed from Candidate for next major release to 5.1.0

Setting the target version to 5.1.0.

#3 - 2023-10-21 02:19 - Go MAEDA

- Tracker changed from Patch to Feature

- Subject changed from Tamil India language files to Add Tamil language support

- Resolution set to Fixed

Committed the patch in r22357. Thank you for your contribution.

#4 - 2023-10-21 02:33 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

#5 - 2023-10-21 05:20 - Mischa The Evil

Dhanasingh Krishnapandian: Thanks for sharing your effort. Now it's committed, can you also translate:

the additional common_mark help files added with #32424 (source:/trunk/public/help/en/wiki_syntax_common_mark.html & 

source:/trunk/public/help/en/wiki_syntax_detailed_common_mark.html);

the keys added to Redmine after your original contribution (they are added by Go MAEDA and currently filled with the English default values;
starting from line 1316 in source:/trunk/config/locales/ta-IN.yml@22358#L1316 and line 15 in 

source:/trunk/public/javascripts/jstoolbar/lang/jstoolbar-ta-in.js@22358#L15)?

Go MAEDA wrote in #note-1:

[...] I think there is no reason not to merge Dhanasingh Krishnapandian's effort to the core.

 Well, in general the problem lies in the maintenance of the additions. The current actual amount of supported languages (besides English [en]) with a

percentage-translated of 100% is smaller then five, I think (even getting such numbers requires lots of time-consuming manual investigation).

If this is something deemed to be tackled, we should really look into a (more sophisticated/automated) general solution for managing i18n than we

currently have. But this is something off-topic and should be discussed in a separate issue.

#6 - 2023-11-29 15:07 - Mischa The Evil

- Precedes Patch #39751: Additional translation for Tamil language added

Files

wiki_syntax_detailed_textile.html 27.4 KB 2021-03-18 Dhanasingh Krishnapandian

wiki_syntax_detailed_markdown.html 27.5 KB 2021-03-18 Dhanasingh Krishnapandian

wiki_syntax_markdown.html 6.27 KB 2021-03-18 Dhanasingh Krishnapandian

wiki_syntax_textile.html 6.46 KB 2021-03-18 Dhanasingh Krishnapandian

jstoolbar-ta-in.js 1.4 KB 2021-03-18 Dhanasingh Krishnapandian

ta-IN.yml 116 KB 2021-03-18 Dhanasingh Krishnapandian
